org.hibernate.search.util.impl

## Class AggregatedClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - org.hibernate.search.util.impl.AggregatedClassLoader

-     public class AggregatedClassLoader
      extends ClassLoader

  A classloader which keeps a ordered list of aggregated classloaders.
  Author:
    Steve Ebersole, Hardy Ferentschik

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AggregatedClassLoader(ClassLoader... classLoaders)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()`
    `protected Class<?>` | `findClass(String name)`
    `protected URL` | `findResource(String name)`
    `Enumeration<URL>` | `getResources(String name)`

    - ### Methods inherited from class java.lang.ClassLoader

      `clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findResources, findSystemClass, getClassLoadingLock, getPackage, getPackages, getParent, getResource, getResourceAsStream, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, registerAsParallelCapable, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AggregatedClassLoader

          public AggregatedClassLoader(ClassLoader... classLoaders)

  - ### Method Detail

    - #### getResources

          public Enumeration<URL> getResources(String name)
                                        throws IOException

      Overrides:
        `getResources` in class `ClassLoader`
      Throws:
        `IOException`

    - #### findResource

          protected URL findResource(String name)

      Overrides:
        `findResource` in class `ClassLoader`

    - #### findClass

          protected Class<?> findClass(String name)
                                throws ClassNotFoundException

      Overrides:
        `findClass` in class `ClassLoader`
      Throws:
        `ClassNotFoundException`

    - #### destroy

          public void destroy()

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved